summaryrefslogtreecommitdiff
path: root/tests/lib-core
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2015-05-03 12:02:09 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2015-05-31 11:54:10 +0100
commit6913c854ca0f3eb901c39c74b74d7f0344318f72 (patch)
treeca93d0a005b8a12088e5aef919bcb4e7de1271cf /tests/lib-core
parentf6cd040652129d18f3d7fe53b6bb62e5d0c79ec1 (diff)
Tests: break out some things into lib-core (nfc)
Diffstat (limited to 'tests/lib-core')
-rw-r--r--tests/lib-core16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/lib-core b/tests/lib-core
new file mode 100644
index 0000000..98ae85f
--- /dev/null
+++ b/tests/lib-core
@@ -0,0 +1,16 @@
+#
+
+fail () {
+ echo >&2 "failed: $*"
+ exit 1
+}
+
+t-set-intree () {
+ if [ "x$DGIT_TEST_INTREE" = x ]; then return; fi
+ : ${DGIT_TEST:=$DGIT_TEST_INTREE/dgit}
+ : ${DGIT_REPOS_SERVER_TEST:=$DGIT_TEST_INTREE/infra/dgit-repos-server}
+ : ${DGIT_SSH_DISPATCH_TEST:=$DGIT_TEST_INTREE/infra/dgit-ssh-dispatch}
+ : ${DGIT_INFRA_PFX:=$DGIT_TEST_INTREE${DGIT_TEST_INTREE:+/infra/}}
+ export DGIT_TEST DGIT_REPOS_SERVER_TEST DGIT_SSH_DISPATCH_TEST
+ export PERLLIB="$DGIT_TEST_INTREE${PERLLIB:+:}${PERLLIB}"
+}